## libyang-python 4.0.0

=== Makefile ===
# Copyright (c) 2018-2023 Robin Jarry
# SPDX-License-Identifier: MIT

all: lint tests

lint:
	tox -e lint

tests:
	tox -e py3

format:
	tox -e format

LYPY_COMMIT_RANGE ?= origin/master..

check-commits:
	./check-commits.sh $(LYPY_COMMIT_RANGE)

.PHONY: lint tests format check-commits

## libyang-python 3.3.0

=== debian/changelog ===
libyang-python (3.3.0-1) unstable; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Tue, 09 Dec 2025 23:37:03 +0100

=== debian/control ===
Source: libyang-python
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://github.com/CESNET/libyang-python
Vcs-Browser: https://forgejo.debian.net/frr/libyang-python
Vcs-Git: https://forgejo.debian.net/frr/libyang-python

Package: python3-libyang
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: parser toolkit for IETF YANG data modeling language (Python)
 YANG is a data modeling language for the definition of data sent over network
 management protocols (RFC 6020/7950). It can be used to model both configuration
 data as well as state data of network elements and is primarily used by larger
 network equipment like routers and switches.
 .
 This package contains the Python bindings.

## libyang-python 4.0.0

=== debian/changelog ===
libyang-python (4.0.0-1) experimental; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 4.0.0.
  * Using codenames instead of suitnames in changelog.

 -- Daniel Baumann <daniel@debian.org>  Sat, 21 Feb 2026 03:58:19 +0100

libyang-python (3.3.0-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Tue, 09 Dec 2025 23:37:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/CESNET/libyang-python
 Vcs-Browser: https://forgejo.debian.net/frr/libyang-python
 Vcs-Git: https://forgejo.debian.net/frr/libyang-python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=libyang

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# needs work (it imports itself during test)

=== debian/watch ===
Version: 5

Template: Github
Owner: CESNET
Project: @PACKAGE@
